Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453806 - symbol osip_MD5Init not defined in libeXosip2.so.4
Summary: symbol osip_MD5Init not defined in libeXosip2.so.4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: linphone
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 16:58 UTC by Jakob Hirsch
Modified: 2009-07-14 16:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:14:44 UTC


Attachments (Terms of Use)

Description Jakob Hirsch 2008-07-02 16:58:03 UTC
Description of problem:

Linphone starts, the window shows up very shortly and an error message is
printed on the console:

$ linphone
linphone: symbol lookup error: /usr/lib/libeXosip2.so.4: undefined symbol:
osip_MD5Init


Version-Release number of selected component (if applicable):

linphone-2.1.1-1.fc9.i386
libeXosip2-3.1.0-1.fc9.i386

How reproducible:


Steps to Reproduce:
1. start linphone on console
  
Actual results:

exits right after start

Expected results:

linphone window stays

Additional info:

Comment 1 Jari Korva 2008-09-21 11:12:01 UTC
I had the same problem. The reason seemed to be that the system had compat-libosip2 installed instead of libosip2. I was able to fix it by:

rpm -e --nodeps compat-libosip2
yum install libosip2

(Actually I had to remove both .i386 and .x86_64 packages since my system is 64-bit). Possibly the update from Fedora 8 to Fedora 9 is somewhat broken?

A similar problem is also mentioned at:

https://admin.fedoraproject.org/updates/F8/FEDORA-2008-1715

Comment 2 Jakob Hirsch 2008-09-22 14:10:26 UTC
In the meantime (this bug is almost three months old, without any reaction): I've installed a new F9 system (due to switch from x86 to x86_64 arch), and here linphone starts and runs fine. So this may be related to the upgrade from F8, but since the old hard disk is sweep, we'll never find out.

Comment 3 Bug Zapper 2009-06-10 01:53:25 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 16:14:44 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.